Gentoo Archives: gentoo-java

From: Kasun Gajasinghe <kasunbg@×××××.com>
To: gentoo-java@l.g.o
Cc: Kiorky <kiorky@××××××××××.net>, Serkan Kaba <serkan@g.o>, ali_bush@g.o
Subject: [gentoo-java] Maven from source - version 2.x or 3.x ?
Date: Sun, 22 May 2011 05:39:08
Message-Id: BANLkTinQJuauWU=j+O5ZY2cAy6mdJpoHtA@mail.gmail.com
Hi all,
I'm working on getting Apache Maven in to work by building from
source. Currently, in main tree, Maven is installed using the binary
(dev-java/maven-bin), which is against the Gentoo Java Packaging
Policy.

Getting Maven in to work by building-from-source is a lengthy process.
We have two main versions to go ahead. The 2.x range with the latest
being v2.2.1, and the 3.x range with the latest being v3.0.3. The
compatibility notes for 2.x and 3.x are at [1]. There's only few
compatibility issues as I've seen. I was thinking to go with 2.x since
in my experience and the area where I was involved in, haven't had any
plans to migrate to Maven 3.x soon. But the overall picture may vary.

So, I'm asking from the Gentoo's Java community, what's the suitable
version to go with? 2.x or 3.x?

[1] https://cwiki.apache.org/MAVEN/maven-3x-compatibility-notes.html

PS: Development will be carried out at the gsoc-maven-overlay which is
based on the java-overlay.
http://overlays.gentoo.org/proj/java/browser/gsoc-maven-overlay

Thanks,
--Kasun

--
~~~*******'''''''''''''*******~~~
Kasun Gajasinghe,
University of Moratuwa,
Sri Lanka.
Blog: http://kasunbg.blogspot.com
Twitter: http://twitter.com/kasunbg

Replies

Subject Author
[gentoo-java] Re: Maven from source - version 2.x or 3.x ? kiorky <kiorky@××××××××××.net>
Re: [gentoo-java] Maven from source - version 2.x or 3.x ? Eric Chatellier <chatellier@×××××××××.com>